Bug 144447 - Should the format button be active for user mountable usb-storage drives?
Should the format button be active for user mountable usb-storage drives?
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-07 00:06 EST by Jef Spaleta
Modified: 2013-07-02 19:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-11 07:54:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-01-07 00:06:16 EST
Description of problem:
Using usermode-1.76-1 from development tree on an fc3 install
to avoid the unmountable problem in bug 139820

I am still unable to format my vfat usb keydrive.
I expected to be able to reformat the usb keydrive using usermount.
I am able to mount and unmount the drive.

I just don't know where the actual problem is.. is this a problem with
udev rules? or with hal? or with usermount? or with my expectations?
if i had a better idea of how console permissions evolved in the
udev/hal stack i'd have a better idea of where to file this. So I'm
filing here in the hopes of getting it tracked at least.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plugin usb key-drive and let hal do its voodoo
2. run usermount
3. no active format button  

Actual results:
can't format the usb drive that I plugged in as a normal user

Expected results:
I should be able to blow away the data via a format on the usb
keydrive that i inserted.

Please advise as to where i should refile this if I need to do that.

Comment 1 Jindrich Novy 2005-01-11 07:54:46 EST
Hello Jef,

you need to change owner of /dev/sda1 to the user/group you're in
instead of root. usermount refuses to format your usbdisk fact it
checks access permissions to devices on startup to detect whether they
can be formatted or not:

ret->writable = ((access(ret->dev, W_OK) == 0) || superuser);

and simply disables the Format button when this won't succeed.

Note You need to log in before you can comment on or make changes to this bug.